cosmetics changes and small cleanups

This commit is contained in:
Mark Olesen 2008-05-08 13:48:42 +02:00
parent 2744374ad0
commit 4b0bfd906d
7 changed files with 136 additions and 31 deletions

View File

@ -1,5 +1,5 @@
#!/bin/sh
set -x
(cd solvers ; wmake all)
(cd utilities ; wmake all)
( cd solvers && wmake all )
( cd utilities && wmake all )

View File

@ -1,9 +1,9 @@
#!/bin/sh
set -x
# Some fun: prostar uses ccmio2.3, Star-ccm+ uses ccmio2.4
# compile cd-adapco's CCM library
wmake libso libccmio/libadf
wmake libso libccmio/libccmio
wmake libso libccmio/libcgns
(cd libccmio; wmake libso libadf)
(cd libccmio; wmake libso libccmio)
(cd libccmio; wmake libso libcgns)
(cd ccm26ToFoam; wmake)
wmake ccm26ToFoam

View File

@ -72,6 +72,7 @@ find -H $newDir \
! -type d -type f \
! -name "*~" \
-a ! -name ".*~" \
-a ! -name ".#*" \
-a ! -name "*.orig" \
-a ! -name "*.dep" \
-a ! -name "*.o" \
@ -83,10 +84,11 @@ find -H $newDir \
-a ! -name "log[0-9]*" \
| sed \
-e "\@$newDir/lib/@d" \
-e "\@$newDir/src/mico-[0-9.]*/platforms@d" \
-e "\@$newDir/src/mpich-[0-9.]*/platforms@d" \
-e "\@$newDir/src/mpich-[0-9.]*/lib@d" \
-e "\@$newDir/src/lam-[0-9.]*/platforms@d" \
-e "\@$newDir/src/other/mico-*/platforms@d" \
-e "\@$newDir/src/other/mpich-*/platforms@d" \
-e "\@$newDir/src/other/mpich-*/lib@d" \
-e "\@$newDir/src/other/lam-*/platforms@d" \
-e "\@$newDir/src/other/openmpi-*/platforms@d" \
-e '\@applications/bin/@d' \
-e '\@/t/@d' \
-e '\@Make[.A-Za-z]*/[^/]*/@d' \

View File

@ -86,10 +86,11 @@ find -H $packDir \
-a ! -name "so_locations" \
| sed \
-e "\@$packDir/lib/@d" \
-e "\@$packDir/src/mico-[0-9.]*/platforms@d" \
-e "\@$packDir/src/mpich-[0-9.]*/platforms@d" \
-e "\@$packDir/src/mpich-[0-9.]*/lib@d" \
-e "\@$packDir/src/lam-[0-9.]*/platforms@d" \
-e "\@$packDir/src/other/mico-*/platforms@d" \
-e "\@$packDir/src/other/mpich-*/platforms@d" \
-e "\@$packDir/src/other/mpich-*/lib@d" \
-e "\@$packDir/src/other/lam-*/platforms@d" \
-e "\@$packDir/src/other/openmpi-*/platforms@d" \
-e '\@applications/bin/@d' \
-e '\@/t/@d' \
-e '\@Make[.A-Za-z]*/[^/]*/@d' \

110
bin/foamPackChanged Executable file
View File

@ -0,0 +1,110 @@
#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 1991-2007 OpenCFD Ltd.
# \\/ M anipulation |
#-------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM.
#
# OpenFOAM is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with OpenFOAM; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
#
# Script
# foamPackChanged <directory> <tarFile>
#
# Description
# Packs and compresses files that have a corresponding .orig file
#
#------------------------------------------------------------------------------
tmpFile=${TMPDIR:-/tmp}/foamPackChanged.$$
if [ $# -ne 2 ]; then
echo "Usage : ${0##*/} directory tarFile"
echo ""
echo "Packs and compresses files that have a corresponding .orig file"
echo ""
exit 1
fi
# canonical form (no double and no trailing dashes)
packDir=$(echo "$1" | sed -e 's@//*@/@g' -e 's@/$@@')
packFile=$2
if [ ! -d $packDir ]; then
echo "Error: directory $packDir does not exist"
exit 1
fi
# Clean up on termination and on Ctrl-C
trap 'rm -f $tmpFile 2>/dev/null; exit 0' EXIT TERM INT
fileCount=0
cat /dev/null > $tmpFile
find -H $packDir \
! -type d \
-type f \
-name "*.orig" \
| sed \
-e "\@$packDir/lib/@d" \
-e "\@$packDir/src/other/mico-*/platforms@d" \
-e "\@$packDir/src/other/mpich-*/platforms@d" \
-e "\@$packDir/src/other/mpich-*/lib@d" \
-e "\@$packDir/src/other/lam-*/platforms@d" \
-e "\@$packDir/src/other/openmpi-*/platforms@d" \
-e '\@applications/bin/@d' \
-e '\@/t/@d' \
-e '\@Make[.A-Za-z]*/[^/]*/@d' \
-e '\@[Dd]oxygen/html@d' \
-e '\@[Dd]oxygen/latex@d' \
-e '\@[Dd]oxygen/man@d' \
-e "s@$packDir/*@@" \
| \
(
while read file
do
(( fileCount=$fileCount + 1 ))
file=${file%%.orig}
if [ -f "$packDir/$file" ]
then
echo $fileCount $file
echo $packDir/$file >> $tmpFile
else
echo "[MISSING]" $file
fi
done
)
# file fileCount
fileCount=$(cat $tmpFile | wc -l)
echo "----------------------------------------------------------------------"
echo "pack $fileCount updated (non-.orig) files"
tar -czpf $packFile --files-from $tmpFile
if [ $? = 0 ]
then
echo "Finished packing changed files from $packDir into $packFile"
else
echo "Error: failure packing changed files from $packDir into $packFile"
rm -f $packFile 2>/dev/null
fi
echo "----------------------------------------------------------------------"
# ----------------------------------------------------------------------------

View File

@ -75,11 +75,11 @@ find -H $packDir \
-a ! -name "log[0-9]*" \
| sed \
-e "\@$packDir/lib/@d" \
-e "\@$packDir/src/other/mico-[0-9.]*/platforms@d" \
-e "\@$packDir/src/other/mpich-[0-9.]*/platforms@d" \
-e "\@$packDir/src/other/mpich-[0-9.]*/lib@d" \
-e "\@$packDir/src/other/lam-[0-9.]*/platforms@d" \
-e "\@$packDir/src/other/openmpi-[0-9.]*/platforms@d" \
-e "\@$packDir/src/other/mico-*/platforms@d" \
-e "\@$packDir/src/other/mpich-*/platforms@d" \
-e "\@$packDir/src/other/mpich-*/lib@d" \
-e "\@$packDir/src/other/lam-*/platforms@d" \
-e "\@$packDir/src/other/openmpi-*/platforms@d" \
-e '\@applications/bin/@d' \
-e '\@/t/@d' \
-e '\@Make[.A-Za-z]*/[^/]*/@d' \

View File

@ -1,10 +1,8 @@
#!/bin/sh
set -x
( cd $FOAM_SRC/OpenFOAM && wmakeLnInclude . )
( cd $FOAM_SRC/other && ./Allwmake )
( cd OpenFOAM && wmakeLnInclude . )
( cd other && ./Allwmake )
( cd Pstream && ./Allwmake )
wmake libo OSspecific/$WM_OS
@ -15,7 +13,6 @@ wmake libso lagrangian/basic
wmake libso triSurface
wmake libso edgeMesh
wmake libso meshTools
wmake libso finiteVolume
( cd MGridGenGamgAgglomeration && ./Allwmake )
@ -23,7 +20,6 @@ wmake libso finiteVolume
wmake libso sampling
wmake libso dynamicMesh
wmake libso dynamicFvMesh
wmake libso topoChangerFvMesh
wmake libso fvMotionSolver
@ -36,14 +32,10 @@ wmake libso randomProcesses
( cd transportModels && ./Allwmake )
( cd turbulenceModels && ./Allwmake )
( cd LESmodels && ./Allwmake )
( cd lagrangian && ./Allwmake )
( cd postProcessing && ./Allwmake )
wmake libso autoMesh
wmake libso errorEstimation
# ----------------------------------------------------------------- end-of-file